import { useValidator as i } from "../validator/Validator.js";
import { defineComponent as l, ref as n } from "vue";
const r = l({
  name: "BsCheckbox",
  props: {
    /**
     * Value for checkbox if v-model is array.
     */
    value: {
      type: String,
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [Array, Boolean],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = n(null);
    return {
      inputRef: e,
      validator: i(e)
    };
  },
  computed: {
    /**
     * Checkbox is checked or not.
     */
    isChecked() {
      return this.modelValue instanceof Array ? this.modelValue.includes(this.value) : this.modelValue === !0;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(e) {
      const a = e.target.checked;
      if (this.modelValue instanceof Array) {
        const t = [...this.modelValue];
        a ? t.push(this.value) : t.splice(t.indexOf(this.value), 1), this.$emit("update:modelValue", t);
      } else
        this.$emit("update:modelValue", a);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
});
export {
  r as default
};
