import * as o from "bootstrap";
import { defineComponent as n } from "vue";
const t = o.Modal, s = n({
  name: "BsModal",
  props: {
    /**
     * Modal title
     */
    title: {
      type: String,
      required: !0
    },
    classDialog: {
      type: [String, Object],
      default: null
    },
    hideHeader: {
      type: Boolean,
      default: !1
    },
    hideBody: {
      type: Boolean,
      default: !1
    },
    hideFooter: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const e = this.$refs.modalRef;
    t.getOrCreateInstance(e).show(), e.addEventListener("shown.bs.modal", this.onShown), e.addEventListener("hidden.bs.modal", this.onHidden);
  },
  methods: {
    /**
     * Trigger modal hide event.
     */
    hide() {
      const e = this.$refs.modalRef;
      t.getOrCreateInstance(e).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
});
export {
  s as default
};
