import { useValidator as t } from "../validator/Validator.js";
import { defineComponent as i, ref as a } from "vue";
const d = i({
  name: "BsRadio",
  props: {
    /**
     * Radio value
     */
    value: {
      type: [String, Number],
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = a(null);
    return {
      inputRef: e,
      validator: t(e)
    };
  },
  computed: {
    /**
     * Radio is checked or not.
     */
    isChecked() {
      return this.modelValue === this.value;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     */
    onInput() {
      this.$emit("update:modelValue", this.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
});
export {
  d as default
};
