import { useValidator as r } from "../validator/Validator.js";
import { defineComponent as a, ref as i } from "vue";
const d = a({
  name: "BsSelect",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number, Array],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Options
     */
    options: {
      type: Array,
      required: !0
    },
    /**
     * Placeholder
     */
    placeholder: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const t = i(null);
    return {
      inputRef: t,
      validator: r(t)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(t) {
      const e = t.target;
      this.$emit("update:modelValue", e.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(t) {
      this.validatorEnabled && this.validator.onInvalid(t);
    }
  }
});
export {
  d as default
};
